package com.studio.nx.framework.error.exception;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/21 17:40
 */
public class BusinessException extends RuntimeException {

    private Integer code;

    public BusinessException(String message) {
        super(message);
        this.code = 500;
    }

    public BusinessException(String message, Integer code) {
        super(message);
        this.code = code;
    }

    @Override
    public String toString() {
        return "DataException{" +
                "code=[" + code + "]," +
                "message=[" + this.getMessage() + "]," +
                "}";
    }

}
