package com.studio.nx.framework.error.exception;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/6/5 16:35
 */
public class NxFrameworkException extends RuntimeException {

    private Integer code;

    public NxFrameworkException(String message) {
        super(message);
        this.code = 500;
    }

    public NxFrameworkException(String message, Integer code) {
        super(message);
        this.code = code;
    }

    @Override
    public String toString() {
        return "DataException{" +
                "code=[" + code + "]," +
                "message=[" + this.getMessage() + "]," +
                "}";
    }

}
