package com.studio.nx.framework.jwt.annotation;

import java.lang.annotation.*;

/**
 * 功能描述：忽略Token验证
 *
 * @Author 梁展鹏
 * @Date 2021/6/8 09:25
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface IgnoreAuth {
    boolean required() default true;
}
