package com.studio.nx.framework.controller.request;

import com.studio.nx.framework.dto.req.BasePageRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel("搜索日志dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class OperationLogRequestDto extends BasePageRequest {

    @ApiModelProperty("用户名")
    private String username;

    @ApiModelProperty("描述")
    private String remarks;

    @ApiModelProperty("日志类型")
    private String type;

    @ApiModelProperty("是否删除")
    private Boolean isDel;

}
