package com.studio.nx.uiac.constant;

import lombok.Getter;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/5/24 12:36
 */
public class AccountConstant {

    @Getter
    public enum State {
        INIT("初始化"), NORMAL("正常"), DISABLE("禁用");

        private String desc;

        State(String desc) {
            this.desc = desc;
        }
    }

    @Getter
    public enum SignInType {
        ACCOUNT_PASSWORD("账号-密码"),
        MOBILE_NUMBER_PASSWORD("手机号-密码"),
        MOBILE_NUMBER_SMS("手机号-短信验证码");

        private String name;

        SignInType(String name) {
            this.name = name;
        }
    }

}
