package com.studio.nx.uiac.controller;

import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = {"微信认证"})
@Slf4j
@RequestMapping("/framework/uiac/wx")
@RestController
public class WxAccountController {

//    private final String appId = "wx84ce042499249eb0";
//
//    @Autowired
//    private WxAccountService service;
//
//    /**
//     * 功能描述：
//     * 官方文档：https://developers.weixin.qq.com/miniprogram/dev/framework/open-ability/login.html
//     *
//     * @param code
//     * @return
//     */
//    @ApiOperation(value = "1. 登录")
//    @GetMapping("/login")
//    public BaseResponse<SignInResponse> login(String code) {
//        if (StringUtils.isBlank(code)) {
//            throw new NxFrameworkException("jsCode为空");
//        }
//
//        final WxMaService wxService = WxMaConfiguration.getMaService(this.appId);
//
//        try {
//            WxMaJscode2SessionResult session = wxService.getUserService().getSessionInfo(code);
//            return BaseResponse.ok(service.login(session));
//        } catch (WxErrorException e) {
//            log.error(e.getMessage(), e);
//            throw new NxFrameworkException("登录失败");
//        }
//    }
//
//    @ApiOperation(value = "2. 获取微信用户信息")
//    @GetMapping("/info")
//    public BaseResponse<AccountInfoDto> info(String sessionKey, String signature, String rawData, String encryptedData, String iv) {
//        if (StringUtils.isBlank(sessionKey) || StringUtils.isBlank(signature) || StringUtils.isBlank(rawData) || StringUtils.isBlank(encryptedData) || StringUtils.isBlank(iv)) {
//            throw new NxFrameworkException("参数为空");
//        }
//
//        final WxMaService wxService = WxMaConfiguration.getMaService(this.appId);
//
//        /* 用户信息校验 */
//        if (!wxService.getUserService().checkUserInfo(sessionKey, rawData, signature)) {
//            throw new NxFrameworkException("微信校验用户失败");
//        }
//
//        /* 解密用户信息 */
//        WxMaUserInfo userInfo = wxService.getUserService().getUserInfo(sessionKey, encryptedData, iv);
//
//        /* 持久化更新账号表的用户信息 */
//        service.info(userInfo);
//        return BaseResponse.ok();
//    }
//
//    /**
//     * 功能描述：
//     * 官方文档：https://developers.weixin.qq.com/miniprogram/dev/framework/open-ability/getPhoneNumber.html
//     *
//     * @param sessionKey
//     * @param encryptedData
//     * @param iv
//     * @return
//     */
//    @ApiOperation(value = "3. 获取微信账号绑定手机号信息")
//    @GetMapping("/phone")
//    public BaseResponse<WxMaPhoneNumberInfo> phone(String sessionKey, String encryptedData, String iv) {
//        if (StringUtils.isBlank(sessionKey) || StringUtils.isBlank(encryptedData) || StringUtils.isBlank(iv)) {
//            throw new NxFrameworkException("参数为空");
//        }
//
//        final WxMaService wxService = WxMaConfiguration.getMaService(this.appId);
//
//        /* 解密手机号 */
//        WxMaPhoneNumberInfo phoneNoInfo = wxService.getUserService().getPhoneNoInfo(sessionKey, encryptedData, iv);
//        return BaseResponse.ok(phoneNoInfo);
//    }
//
//    @ApiOperation(value = "微信公众号h5登录")
//    @PostMapping("/h5-login")
//    public BaseResponse<SignInResponse> h5Login(@Valid @RequestBody BaseRequest<WxUserInfo> request) {
//        return BaseResponse.ok(service.h5Login(request.getData()));
//    }

}
