package com.studio.nx.uiac.controller.request.account;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/5/30 14:39
 */
@ApiModel(value = "AccountListRequest", description = "查询账号")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class AccountListRequest {

    @ApiModelProperty("昵称")
    private String nickname;

    @ApiModelProperty("真实姓名")
    private String realname;

}
