package com.studio.nx.uiac.controller.request.account;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/5/21 23:06
 */
@ApiModel(value = "AccountPageRequest", description = "分页查询账号")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class AccountPageRequest {

    @ApiModelProperty("昵称")
    private String nickname;

    @ApiModelProperty("真实姓名")
    private String realname;

    @ApiModelProperty("手机号码")
    private String mobileNumber;

    @ApiModelProperty("角色编码")
    private String roleCode;

    @ApiModelProperty("是否删除")
    private Boolean isDel;

}
