package com.studio.nx.uiac.controller.request.role;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/5/21 23:06
 */
@ApiModel(value = "RolePageRequest", description = "分页查询角色")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class RolePageRequest {

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("编码")
    private String code;

    @ApiModelProperty("是否删除")
    private Boolean isDel;

}
