package com.studio.nx.uiac.controller.request.role;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/5/26 17:40
 */

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/5/26 17:37
 */
@ApiModel(value = "RoleSaveOrUpdateRequest", description = "新增/编辑 角色")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class RoleSaveOrUpdateRequest {

    @ApiModelProperty(value = "角色id", example = "")
    private String id;

    @ApiModelProperty("名称")
    @NotEmpty(message = "名称不能为空")
    private String name;

    @ApiModelProperty("编码")
    @NotEmpty(message = "编码不能为空")
    private String code;

    @ApiModelProperty("排序（倒序）")
    private Integer sort;

    @ApiModelProperty("备注")
    private String remarks;

}
