package com.studio.nx.uiac.controller.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("图片验证码返回对象")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ImgCodeDto {

    @ApiModelProperty("图片验证码Base64格式")
    private String base64Img;

    @ApiModelProperty("唯一标识")
    private String uuid;

}
