package com.studio.nx.uiac.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 角色菜单权限dto
 *
 */
@ApiModel("角色菜单权限dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class RoleMenuDto {

    @ApiModelProperty("角色id")
    @NotEmpty
    private String roleId;

    @ApiModelProperty("菜单权限menuIds")
    @NotEmpty
    private List<String> menuIds;
}
