package com.studio.nx.uiac.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.studio.nx.uiac.controller.response.AccountAdminResponse;
import com.studio.nx.uiac.controller.search.AccountSearchDto;
import com.studio.nx.uiac.entity.Account;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface AccountMapper extends BaseMapper<Account> {

    IPage<AccountAdminResponse> adminPage(@Param("search") AccountSearchDto dto, Page page);

    List<AccountAdminResponse> searchSelect(String keyword);

    Integer count(@Param("search") AccountSearchDto dto);

}
