package com.studio.nx.uiac.service;

import org.springframework.stereotype.Service;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/6/8 10:06
 */
@Service
public class WxAccountService {

//    @Autowired
//    private AccountRepository accountRepository;
//
//    @Autowired
//    private AccountAuthsRepository accountAuthsRepository;
//
//    @Autowired
//    private AccountService accountService;
//
//    @Autowired
//    private AccountAuthsService accountAuthsService;
//
//    @Autowired
//    private RoleService roleService;
//
//    /**
//     * 功能描述：
//     * @param session
//     * @return
//     */
//    @Transactional
//    public SignInResponse login(WxMaJscode2SessionResult session) {
//        /* 判断[微信用户账号]是否初始化 */
//        Account _account = null;
//        AccountAuths _accountAuths = null;
//
//        /* 保存openId */
//        Optional<AccountAuths> optionalAccountAuths = accountAuthsService.findByWeixinMiniProgram(session.getOpenid());
//        if (optionalAccountAuths.isPresent()) {
//            _accountAuths = optionalAccountAuths.get();
//            _accountAuths = accountAuthsSaveOrUpdate(_accountAuths.setCredential(session.getSessionKey()));
//        } else {
//            _account = new Account();
//            _account.setNickname("微信用户");
//            _account.setState(AccountConstant.State.INIT);
//            _account = accountSaveOrUpdate(_account);
//
//            _accountAuths = accountAuthsSaveOrUpdate(new AccountAuths()
//                    .setAccountId(_account.getId())
//                    .setIdentityType(AccountConstant.IdentityType.WEIXIN_MINI_PROGRAM_OPENID)
//                    .setIdentifier(session.getOpenid())
//                    .setCredential(session.getSessionKey())
//            );
//
//            /* 给微信账号默认分配[WEIXIN]角色 */
//            Optional<Role> optionalRole = roleService.findByCode("WEIXIN");
//            if (optionalRole.isPresent()) {
//                accountService.saveRelationRole(_account.getId(), Arrays.asList(optionalRole.get().getId()));
//            }
//        }
//
//        /**
//         * UnionID 机制说明
//         * https://developers.weixin.qq.com/miniprogram/dev/framework/open-ability/union-id.html
//         * 如果开发者帐号下存在同主体的公众号，并且该用户已经关注了该公众号。开发者可以直接通过 wx.login + code2Session 获取到该用户 UnionID，无须用户再次授权。
//         */
//        if (!StringUtils.isEmpty(session.getUnionid())) {
//            Optional<AccountAuths> _accountAuthsWeixin = accountAuthsService.findByWeixinUnionid(session.getUnionid());
//            if (_accountAuthsWeixin.isPresent()) {
//                _accountAuths = _accountAuthsWeixin.get();
//                _accountAuths = accountAuthsSaveOrUpdate(_accountAuths.setCredential(session.getSessionKey()));
//            } else {
//                _accountAuths = accountAuthsSaveOrUpdate(new AccountAuths()
//                        .setAccountId(_accountAuths.getAccountId())
//                        .setIdentityType(AccountConstant.IdentityType.WEIXIN_UNIONID)
//                        .setIdentifier(session.getUnionid())
//                        .setCredential(session.getSessionKey())
//                );
//            }
//        }
//
//        Optional<Account> optionalAccount = accountService.findById(_accountAuths.getAccountId());
//        if (!optionalAccount.isPresent()) {
//            throw new DataException("数据异常");
//        }
//        _account = optionalAccount.get();
//
//        /* 生成token以及refreshToken */
//        String jwtToken = JWTUtil.createJWT(new LoginAccountDto().setAccountId(_account.getId()).setNickname(_account.getNickname()));
//        String refreshToken = DigestUtils.md5DigestAsHex((_account.getId() + UUIDGenerate.getShortUUIDString()).getBytes());
//
//        SignInResponse response = new SignInResponse();
//        response.setToken(jwtToken);
//        response.setRefreshToken(refreshToken);
//        response.setSessionKey(session.getSessionKey());
//        return response;
//    }
//
//    /**
//     * 功能描述：
//     * @param wxUserInfo
//     * @return
//     */
//    @Transactional
//    public SignInResponse h5Login(WxUserInfo wxUserInfo) {
//        /* 判断[微信用户账号]是否初始化 */
//        Account _account = null;
//        AccountAuths _accountAuths = null;
//
//        /* 保存openId */
//        Optional<AccountAuths> optionalAccountAuths = accountAuthsService.findByWeixinH5OpenId(wxUserInfo.getOpenid());
//        if (optionalAccountAuths.isPresent()) {
//            _accountAuths = optionalAccountAuths.get();
//
//            Optional<Account> optionalAccount = accountService.findById(_accountAuths.getAccountId());
//            if (optionalAccount.isPresent()) {
//                _account = optionalAccount.get();
//                _account.setNickname(wxUserInfo.getNickname());
//                _account.setGender(wxUserInfo.getSex());
//                _account.setAvatarUrl(wxUserInfo.getHeadimgurl());
//                accountSaveOrUpdate(_account);
//            }
//        } else {
//            _account = new Account();
//            _account.setNickname(wxUserInfo.getNickname());
//            _account.setGender(wxUserInfo.getSex());
//            _account.setAvatarUrl(wxUserInfo.getHeadimgurl());
//            _account.setState(AccountConstant.State.INIT);
//            _account = accountSaveOrUpdate(_account);
//
//            _accountAuths = accountAuthsSaveOrUpdate(new AccountAuths()
//                    .setAccountId(_account.getId())
//                    .setIdentityType(AccountConstant.IdentityType.WEIXIN_H5_OPENID)
//                    .setIdentifier(wxUserInfo.getOpenid())
//            );
//
//            /* 给微信账号默认分配[WEIXIN]角色 */
//            Optional<Role> optionalRole = roleService.findByCode("WEIXIN");
//            if (optionalRole.isPresent()) {
//                accountService.saveRelationRole(_account.getId(), Arrays.asList(optionalRole.get().getId()));
//            }
//        }
//
//        /**
//         * UnionID 机制说明
//         * https://developers.weixin.qq.com/miniprogram/dev/framework/open-ability/union-id.html
//         * 如果开发者帐号下存在同主体的公众号，并且该用户已经关注了该公众号。开发者可以直接通过 wx.login + code2Session 获取到该用户 UnionID，无须用户再次授权。
//         */
//        if (!StringUtils.isEmpty(wxUserInfo.getUnionid())) {
//            Optional<AccountAuths> _accountAuthsWeixin = accountAuthsService.findByWeixinUnionid(wxUserInfo.getUnionid());
//            if (_accountAuthsWeixin.isPresent()) {
//                _accountAuths = _accountAuthsWeixin.get();
//                _accountAuths.setAccountId(_account.getId());
//                accountAuthsSaveOrUpdate(_accountAuths);
//            } else {
//                _accountAuths = accountAuthsSaveOrUpdate(new AccountAuths()
//                        .setAccountId(_account.getId())
//                        .setIdentityType(AccountConstant.IdentityType.WEIXIN_UNIONID)
//                        .setIdentifier(wxUserInfo.getUnionid())
//                );
//            }
//        }
//
//        Optional<Account> optionalAccount = accountService.findById(_account.getId());
//        if (!optionalAccount.isPresent()) {
//            throw new DataException("数据异常");
//        }
//        _account = optionalAccount.get();
//
//        /* 生成token以及refreshToken */
//        String jwtToken = JWTUtil.createJWT(new LoginAccountDto().setAccountId(_account.getId()).setNickname(_account.getNickname()));
//        String refreshToken = DigestUtils.md5DigestAsHex((_account.getId() + UUIDGenerate.getShortUUIDString()).getBytes());
//
//        SignInResponse response = new SignInResponse();
//        response.setToken(jwtToken);
//        response.setRefreshToken(refreshToken);
//        return response;
//    }
//
//    @Transactional
//    public void info(WxMaUserInfo userInfo) {
//        LoginAccountDto loginAccountDto = JWTUtil.getLocalUser().get();
//
//        Optional<Account> optional = accountRepository.findById(loginAccountDto.getAccountId());
//        if (optional.isPresent()) {
//            Account _account = optional.get();
//            _account.setNickname(userInfo.getNickName());
//            _account.setAvatarUrl(userInfo.getAvatarUrl());
//            _account.setGender(Integer.parseInt(userInfo.getGender()));
//            _account.setState(AccountConstant.State.NORMAL);
//            accountSaveOrUpdate(_account);
//        }
//
//        /**
//         * UnionID 机制说明
//         * https://developers.weixin.qq.com/miniprogram/dev/framework/open-ability/union-id.html
//         * 调用接口 wx.getUserInfo，从解密数据中获取 UnionID。注意本接口需要用户授权，请开发者妥善处理用户拒绝授权后的情况。
//         */
//        if (!StringUtils.isEmpty(userInfo.getUnionId())) {
//            if (!accountAuthsService.findByWeixinUnionid(userInfo.getUnionId()).isPresent()) {
//                accountAuthsSaveOrUpdate(new AccountAuths()
//                        .setAccountId(loginAccountDto.getAccountId())
//                        .setIdentityType(AccountConstant.IdentityType.WEIXIN_UNIONID)
//                        .setIdentifier(userInfo.getUnionId())
//                );
//            }
//        }
//    }
//
//    /**
//     * 慎重使用!!!
//     *
//     * @param account
//     * @return
//     */
//    private Account accountSaveOrUpdate(Account account) {
//        Account _account;
//        if (StringUtils.isEmpty(account.getId())) {
//            _account = new Account();
//        } else {
//            Optional<Account> optional = accountRepository.findById(account.getId());
//            _account = optional.get();
//        }
//
//        _account.setNickname(account.getNickname());
//        _account.setAvatarUrl(account.getAvatarUrl());
//        _account.setGender(account.getGender());
//        _account.setState(account.getState());
//
//        return accountRepository.save(_account);
//    }
//
//    /**
//     * 慎重使用!!!
//     *
//     * @param accountAuths
//     * @return
//     */
//    public AccountAuths accountAuthsSaveOrUpdate(AccountAuths accountAuths) {
//        AccountAuths _auths;
//        if (StringUtils.isEmpty(accountAuths.getId())) {
//            _auths = new AccountAuths();
//        } else {
//            Optional<AccountAuths> optional = accountAuthsRepository.findById(accountAuths.getId());
//            _auths = optional.get();
//        }
//
//        _auths.setAccountId(accountAuths.getAccountId());
//        _auths.setIdentityType(accountAuths.getIdentityType());
//        _auths.setIdentifier(accountAuths.getIdentifier());
//        _auths.setCredential(accountAuths.getCredential());
//        _auths.setSalt(accountAuths.getSalt());
//
//        return accountAuthsRepository.save(_auths);
//    }

}
