package com.studio.nx.config.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("plt_framework_business_config")
public class BusinessConfig extends BaseEntity {

    @ApiModelProperty("业务标识")
    @NotEmpty
    @TableField(value = "code")
    private String code;

    @ApiModelProperty("业务名称")
    @NotEmpty
    @TableField(value = "name")
    private String name;

    @ApiModelProperty("数值（可正可负）")
    @NotEmpty
    @TableField(value = "value")
    private String value;

}
