package com.studio.nx.feedback.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.studio.nx.feedback.controller.response.FeedbackAdminPageResponse;
import com.studio.nx.feedback.controller.search.FeedbackSearch;
import com.studio.nx.feedback.entity.Feedback;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface FeedbackMapper extends BaseMapper<Feedback> {

    IPage<FeedbackAdminPageResponse> adminPage(@Param("search") FeedbackSearch search, Page page);

}
