package com.studio.nx.help.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.studio.nx.help.controller.search.HelpContentSearchDto;
import com.studio.nx.help.dto.HelpContentListDto;
import com.studio.nx.help.entity.HelpContent;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @author Loki
 * @date 2021/6/1 15:24
 */
@Mapper
@Repository
public interface HelpContentMapper extends BaseMapper<HelpContent> {
    IPage<HelpContentListDto> adminPage(@Param("dto") HelpContentSearchDto dto, Page page);
}
