package com.studio.nx.oss.ueditor;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.HashMap;
import java.util.Map;

/**
 * 功能描述：Ueditor的返回体
 */
@ApiModel("Ueditor的返回Dto")
@NoArgsConstructor
@AllArgsConstructor
@Data
@Accessors(chain = true)
public class UEditor {

    private String state;

    private static final String imageActionName = "uploadimage";  //执行上传图片的action名称

    public static Map<String, Object> setting;

    static {
        setting = new HashMap();
        setting.put("imageActionName", imageActionName);
    }

}
