package com.studio.nx.oss.ueditor;


import java.util.HashMap;
import java.util.Map;

public class UEditorConfig {
    public static Map<String, Object> setting;

    /* 上传图片配置项 */

    private static final String imageActionName = "uploadimage";  //执行上传图片的action名称
    private static final String imageFieldName = "upfile";  //提交的图片表单名称
    private static final long imageMaxSize = 2048000000L; //上传大小限制，单位B
    private static final String[] imageAllowFiles = {".png", ".jpg", ".jpeg", ".gif", ".bmp"};  //上传图片格式显示
    private static final boolean imageCompressEnable = false;  //是否压缩图片,默认是true
    private static final int imageCompressBorder = 1600;  //图片压缩最长边限制
    private static final String imageInsertAlign = "none";  //插入的图片浮动方式
    private static final String imageUrlPrefix = "";  //图片访问路径前缀
    //private final String imageUrlPrefix = "/ueditor/jsp/upload/image/{yyyy}{mm}{dd}/{time}{rand:6}"; //上传保存路径,可以自定义保存路径和文件名格式
    private static final String imagePathFormat = "";

    /* 列出指定目录下的图片 */
    private static final String imageManagerActionName = "listimage";  //执行图片管理的action名称
    private static final String imageManagerListPath = "/ueditor/jsp/upload/image/";  //指定要列出图片的目录
    private static final int imageManagerListSize = 20;  //每次列出文件数量
    private static final String imageManagerUrlPrefix = "";  //图片访问路径前缀
    private static final String imageManagerInsertAlign = "none";  //插入的图片浮动方式
    private static final String[] imageManagerAllowFiles = {".png", ".jpg", ".jpeg", ".gif", ".bmp"};  //列出的文件类型

    static {
        setting = new HashMap();
        setting.put("imageActionName", imageActionName);
        setting.put("imageFieldName", imageFieldName);
        setting.put("imageMaxSize", imageMaxSize);
        setting.put("imageAllowFiles", imageAllowFiles);
        setting.put("imageCompressEnable", imageCompressEnable);
        setting.put("imageCompressBorder", imageCompressBorder);
        setting.put("imageInsertAlign", imageInsertAlign);
        setting.put("imageUrlPrefix", imageUrlPrefix);
        setting.put("imagePathFormat", imagePathFormat);
        setting.put("imageManagerActionName", imageManagerActionName);
        setting.put("imageManagerListPath", imageManagerListPath);
        setting.put("imageManagerListSize", imageManagerListSize);
        setting.put("imageManagerUrlPrefix", imageManagerUrlPrefix);
        setting.put("imageManagerInsertAlign", imageManagerInsertAlign);
        setting.put("imageManagerAllowFiles", imageManagerAllowFiles);
    }
}
