package com.studio.nx.pay.weixin.dto;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/29 22:01
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class NotifyResult {

    private String code;
    private String message;

    public static NotifyResult create(){
        return new NotifyResult();
    }
    public NotifyResult success(){
        this.code = "SUCCESS";
        this.message = "成功";
        return this;
    }
    public NotifyResult fail(){
        this.code = "FAIL";
        this.message = "失败";
        return this;
    }
    public NotifyResult fail(String message){
        this.code = "FAIL";
        this.message = message;
        return this;
    }

}
