package com.studio.nx.yxl.controller.admin.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class DownloadCountResponse {

    @ApiModelProperty("总购买照片数")
    private Integer all;

    @ApiModelProperty("总购买照片数")
    private Integer month;

    @ApiModelProperty("总购买照片数")
    private Integer week;

    @ApiModelProperty("总购买金额")
    private BigDecimal sumPaidPrice;

    @ApiModelProperty("总购买积分")
    private Integer sumPoints;

}
