package com.studio.nx.yxl.controller.admin.search;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author Loki
 * @date 2021/6/1 15:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class IntegralCashRecordSearch {

    @ApiModelProperty("账号标识")
    private String accountId;

    @ApiModelProperty("用途")
    private String displayText;

    @ApiModelProperty("类型（积分/现金）")
    private String type;

}
