package com.studio.nx.yxl.controller.app.request.shoppingcar;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/26 17:33
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ShoppingCarAddRequest {

    @ApiModelProperty("图片标识")
    private String photoWarehouseId;

    @ApiModelProperty("照片规格（1:高清有logo，2:原图）")
    @Min(1)
    @Max(2)
    private Integer type;

}
