package com.studio.nx.yxl.controller.app.response.index;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/28 11:33
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class AgreementResponse {

    @ApiModelProperty("启动应用 - 用户隐私协议")
    private String launchAppAgreement;

    @ApiModelProperty("登录注册 - 服务协议")
    private String loginLicenseAgreement;

    @ApiModelProperty("积分签到 - 帮忙说明")
    private String mineCheckInHelp;

    @ApiModelProperty("我的钱包 - 帮忙说明")
    private String mineWalletHelp;

    @ApiModelProperty("照片下载使用协议")
    private String photoDownloadAgreement;

    @ApiModelProperty("系统设置 - 服务协议")
    private String systemServiceAgreement;

    @ApiModelProperty("系统设置 - 隐私政策")
    private String systemPrivacyPolicy;

    @ApiModelProperty("系统设置 - 社区规范")
    private String systemCommunityNorms;

    @ApiModelProperty("系统设置 - 帮助中心")
    private String systemHelpIndex;

    @ApiModelProperty("系统设置 - 联系我们")
    private String systemContact;

    @ApiModelProperty("申请幼儿园认证协议")
    private String applyKindergarten;

    @ApiModelProperty("提交申请幼儿园认证协议")
    private String submitKindergarten;

    @ApiModelProperty("申请摄影师认证协议")
    private String applyPhotoer;

    @ApiModelProperty("提交申请摄影师认证协议")
    private String submitPhotoer;

}
