package com.studio.nx.yxl.controller.app.response.index;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/23 16:16
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class BannerResponse {

    @ApiModelProperty("标题")
    private String name;

    @ApiModelProperty("类型")
    private String type;

    @ApiModelProperty("图片地址")
    private String imgUrl;

    @ApiModelProperty("链接")
    private String link;

    @ApiModelProperty("扩展参数")
    private String params;

    @ApiModelProperty("扩展参数对象")
    private ParamsObjResponse paramsObj;

}
