package com.studio.nx.yxl.controller.app.response.invite;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/7/22 22:52
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class InviteResponse {

    @ApiModelProperty("海报")
    private String posterUrl;

    @ApiModelProperty("展示文案")
    private String displayText;

    @ApiModelProperty("logo地址")
    private String logoUrl;

    @ApiModelProperty("二维码文本")
    private String qrText;

}
