package com.studio.nx.yxl.controller.app.response.my;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/24 21:25
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class PhotoGetLikeRecordResponse {

    @ApiModelProperty("账号标识")
    private String accountId;

    @ApiModelProperty("账号昵称")
    private String accountNickname;

    @ApiModelProperty("幼儿园标识")
    private String kindergartenId;

    @ApiModelProperty("幼儿园名称")
    private String kindergartenName;

    @ApiModelProperty("照片库标识")
    private String photoWarehouseId;

    @ApiModelProperty("照片作者标识")
    private String originAccountId;

    @ApiModelProperty("列表页预览图（幼儿园logo、品牌logo）")
    private String listPreview;

    @ApiModelProperty("点赞数")
    private Long likes;

}
