package com.studio.nx.yxl.controller.app.response.photowall.kindergarten;

import com.studio.nx.yxl.dto.KindergartenPhotoDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.ArrayList;
import java.util.List;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/19 23:51
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class PhotoWallKindergartenInfoResponse {

    @ApiModelProperty("年月数组")
    private List<String> yearMonthList = new ArrayList<>();

    @ApiModelProperty("照片对象，客户端根据yearMonth筛选")
    private List<KindergartenPhotoDto> KindergartenPhotoList = new ArrayList<>();

}
