package com.studio.nx.yxl.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/7/10 10:48
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_photoer_sign_in_record")
public class PhotoerSignInRecord extends BaseEntity {

    @ApiModelProperty("申请人标识")
    @NotEmpty
    @TableField(value = "account_id")
    private String accountId;

    @ApiModelProperty("幼儿园标识")
    @NotEmpty
    @TableField(value = "kindergarten_id")
    private String kindergartenId;

    @ApiModelProperty("幼儿园名称")
    @NotEmpty
    @TableField(value = "kindergarten_name")
    private String kindergartenName;

}
