package com.studio.nx.yxl.job;

import com.studio.nx.yxl.service.OrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/7/1 21:49
 */
@Slf4j
@Component
public class WeixinPayQueryOrderJob {

    @Autowired
    private OrderService orderService;

    // 每5分钟执行
    @Scheduled(cron = "0 0/5 * * * *")
    public void start() throws Exception {
        orderService.queryOrderByJob();
    }

}
