package com.studio.nx.yxl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.studio.nx.yxl.controller.admin.search.ActivitySearchDto;
import com.studio.nx.yxl.controller.app.response.photowall.activity.ActivityResponse;
import com.studio.nx.yxl.dto.ActivityDto;
import com.studio.nx.yxl.entity.Activity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/19 14:51
 */
@Mapper
@Repository
public interface ActivityMapper extends BaseMapper<Activity> {

    IPage<ActivityResponse> findPhotoWallActivitySearchList(@Param("name") String name, @Param("accountId") String accountId, Page page);

    ActivityResponse appDetailByAccountId(@Param("id") String id, @Param("accountId") String accountId);

    ActivityResponse h5DetailByAccountId(@Param("id") String id);

    IPage<ActivityDto> adminPage(@Param("dto") ActivitySearchDto dto, Page page);

}
