package com.studio.nx.yxl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.studio.nx.yxl.controller.admin.response.DownloadPageResponse;
import com.studio.nx.yxl.controller.admin.response.UploadPageResponse;
import com.studio.nx.yxl.controller.admin.search.DownloadPageSearch;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface DataStatisticsMapper extends BaseMapper {

    IPage<DownloadPageResponse> downloadPage(@Param("search") DownloadPageSearch search, Page page);

    IPage<UploadPageResponse> uploadPage(@Param("search") DownloadPageSearch search, Page page);

    Integer uploadCount(@Param("search") DownloadPageSearch search);

}
