package com.studio.nx.yxl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.studio.nx.yxl.controller.admin.response.IntegralCashRecordAdminPageResponse;
import com.studio.nx.yxl.controller.admin.search.IntegralCashRecordSearch;
import com.studio.nx.yxl.entity.IntegralCashRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;

@Mapper
@Repository
public interface IntegralCashRecordMapper extends BaseMapper<IntegralCashRecord> {

    IPage<IntegralCashRecordAdminPageResponse> adminPage(@Param("search") IntegralCashRecordSearch search, Page page);

    Integer getMyIntegral(@Param("accountId") String accountId);

    BigDecimal getMyCash(@Param("accountId") String accountId);

}

