package com.studio.nx.yxl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.studio.nx.yxl.controller.admin.response.OrderPageResponse;
import com.studio.nx.yxl.controller.admin.search.OrderSearch;
import com.studio.nx.yxl.entity.Order;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;

@Mapper
@Repository
public interface OrderMapper extends BaseMapper<Order> {

    IPage<OrderPageResponse> adminPage(@Param("search") OrderSearch dto, Page page);

    BigDecimal sumPaidPrice();

    BigDecimal sumByCash();

    BigDecimal sumByPoint();

}
