package com.studio.nx.yxl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.studio.nx.yxl.controller.app.response.shoppingcar.ShoppingCarSelectDto;
import com.studio.nx.yxl.entity.ShoppingCar;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/26 15:26
 */
@Mapper
@Repository
public interface ShoppingCarMapper extends BaseMapper<ShoppingCar> {

    void addShoppingCar(String id, String accountId, String photoWarehouseId, Boolean isHdLogoPhoto, Boolean isOriginPhoto);

    List<ShoppingCarSelectDto> findCarList(@Param("accountId") String accountId);

    ShoppingCarSelectDto findShoppingCar(@Param("shoppingCarId") String shoppingCarId, @Param("accountId") String accountId);

}
