package com.studio.nx.yxl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.studio.nx.yxl.controller.app.response.tweet.TweetInfoCollectionResponse;
import com.studio.nx.yxl.controller.app.response.tweet.TweetInfoResponse;
import com.studio.nx.yxl.entity.Tweet;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @author Loki
 * @date 2021/6/1 15:24
 */
@Mapper
@Repository
public interface TweetMapper extends BaseMapper<Tweet> {

    TweetInfoResponse findByInfo(@Param("id") String id, @Param("accountId") String accountId);

    TweetInfoCollectionResponse findByInfoCollection(@Param("id") String id, @Param("accountId") String accountId);

}
