package com.studio.nx.yxl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.studio.nx.yxl.controller.admin.search.WithdrawalRecordSearch;
import com.studio.nx.yxl.dto.WithdrawalRecordDto;
import com.studio.nx.yxl.entity.WithdrawalRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;

/**
 * @author Loki
 * @date 2021/6/1 15:24
 */
@Mapper
@Repository
public interface WithdrawalRecordMapper extends BaseMapper<WithdrawalRecord> {

    WithdrawalRecordDto findByInfo(@Param("id") String id);

    IPage<WithdrawalRecordDto> adminPage(@Param("search") WithdrawalRecordSearch search, Page page);

    BigDecimal sumBySuccess(@Param("search") WithdrawalRecordSearch search);

}
