package com.studio.nx.yxl.service;

import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@Slf4j
@SpringBootTest
class CashRecordServiceTest {

    @Autowired
    private IntegralCashRecordService integralCashRecordService;

    @Test
    void findByInfo() {
        String accountId = "1401825572046675970";
        log.info("我的剩余积分：[{}]", integralCashRecordService.countMyIntegral(accountId));
        log.info("我的剩余现金：[{}]", integralCashRecordService.countMyCash(accountId));
    }

}
