package com.studio.nx.yxl.service;

import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@Slf4j
@SpringBootTest
class IntegralCashRecordServiceTest {

    @Autowired
    private IntegralCashRecordService integralCashRecordService;

    @Test
    void saveIntegralSharePoints() {
        String accountId = "1401825572046675970";
        integralCashRecordService.saveIntegralSharePoints(accountId);
    }

    @Test
    void saveLike() {
        String accountId = "1401825572046675970";
        integralCashRecordService.saveLike(accountId);
    }
}
