package com.studio.nx.yxl.service;

import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@Slf4j
@SpringBootTest
class PhotoGetLikeRecordServiceTest {

    @Autowired
    private PhotoGetLikeRecordService service;

    private static final String accountId = "1401825572046675970";
    private static final String photoWarehouseId = "1420754927727955970";

    @Test
    void like() {
        service.like(accountId, "111", photoWarehouseId);
    }

    @Test
    void delLike() {
        service.delLike(accountId, photoWarehouseId);
    }
}
