package com.studio.nx.uiac.constant;

public class RedisKeyConstant {

    /**
     * 默认过期时长，单位：秒
     */
    public static final long DEFAULT_EXPIRE = 60 * 60 * 24;

    /**
     * 不设置过期时长
     */
    public static final long NOT_EXPIRE = -1;

    public static String JWT_WXMP_SESSION(String jwtId) {
        return String.format("jwt:wxmp:session:%s", jwtId);
    }

    public static final String MP_ACCESSTOKEN = "wx:mp_access_token";

    public static String PlatformLoginImgCode(String imgCodeEnum, String uuid) {
        return String.format("framework:img-code:%s:%s", imgCodeEnum, uuid);
    }

    public static String PlatformMobileNumberSMSCode(String mobileNumber) {
        return String.format("framework:mobile-number:%s", mobileNumber);
    }

    public static String PlatformAccountLogin(String accountId) {
        return String.format("framework:login:account:%s", accountId);
    }

    public static String PlatformRefreshToken(String refreshToken) {
        return String.format("framework:login:refresh-token:%s", refreshToken);
    }

}
