package com.studio.nx.uiac.controller.request.my;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author loki
 * @Date 2021/7/2 16:42
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class PersonInfoRequest {

    @ApiModelProperty("头像地址")
    private String avatarUrl;

    @ApiModelProperty("昵称")
    private String nickname;

    @ApiModelProperty("性别（0未知、1男性、2女性）")
    private Integer gender;

//    @ApiModelProperty("电话")
//    private String phoneNumber;
//
//    @ApiModelProperty("邮箱")
//    private String email;
//
//    @ApiModelProperty("微信")
//    private String wechat;

}
