package com.studio.nx.uiac.controller.request.resources;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/5/30 14:39
 */
@ApiModel(value = "RoleListRequest", description = "查询资源")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ResourcesListRequest {

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("编码")
    private String code;

}
