package com.studio.nx.uiac.controller.search;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 搜索角色dto
 */
@ApiModel("搜索角色dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class RoleSearchDto {

    @ApiModelProperty("角色名称")
    private String name;

    @ApiModelProperty("是否删除")
    private Boolean isDel = Boolean.FALSE;

}
