package com.studio.nx.uiac.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * 节点dto
 *
 */
@ApiModel("节点dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NodeResponseDto {

    @ApiModelProperty("标识")
    private String value;

    @ApiModelProperty("名称")
    private String label;

    @ApiModelProperty("父级")
    private String parentId;

    @ApiModelProperty("是否有子节点")
    private Boolean hasChildren;

    @ApiModelProperty("子节点")
    private List<NodeResponseDto> children=new ArrayList();
}
