package com.studio.nx.uiac.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.studio.nx.uiac.dto.RoleDto;
import com.studio.nx.uiac.entity.AccountRole;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface AccountRoleMapper extends BaseMapper<AccountRole> {

    void save(String id, String accountId, String roleId);

    List<RoleDto> listByAccountId(String accountId);

}
