package com.studio.nx.app.controller.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class AppResponse {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("产品名称")
    private String productName;

    @ApiModelProperty("平台")
    private String platform;

    @ApiModelProperty("状态（0：无需更新，1：普通更新，2：强制更新）")
    private Integer code;

    @ApiModelProperty("版本编码")
    private Integer versionCode;

    @ApiModelProperty("版本号")
    private String versionNumber;

    @ApiModelProperty("是否有效")
    private Boolean isShow;

    @ApiModelProperty("是否强制更新")
    private Boolean isForceUpgrade;

    @ApiModelProperty("升级描述")
    private String upgradeDesc;

    @ApiModelProperty("下载地址")
    private String downloadUrl;

}
