package com.studio.nx.app.controller.search;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class AppSearch {

    @ApiModelProperty("产品名称")
    private String productName;

    @ApiModelProperty("平台")
    private String platform;

    @ApiModelProperty("版本编码")
    private Integer versionCode;

    @ApiModelProperty("版本号")
    private String versionNumber;

    @ApiModelProperty("是否有效")
    private Boolean isShow;

    @ApiModelProperty("是否强制更新")
    private Boolean isForceUpgrade;

}
