package com.studio.nx.config.controller.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class BusinessConfigRequest {

    @ApiModelProperty("业务标识")
    @NotEmpty
    private String code;

    @ApiModelProperty("数值（可正可负）")
    @NotNull
    private String value;

}
