package com.studio.nx.datadict.controller.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("搜索字典父类dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class DictSearchDto {

    @ApiModelProperty("字典编码")
    private String code;

    @ApiModelProperty("字典名称")
    private String name;

    @ApiModelProperty("是否删除")
    private Boolean isDel;

}
