package com.studio.nx.help.controller.search;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author Loki
 * @date 2021/6/1 15:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class HelpContentSearchDto {

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("分类标识")
    private String helpGroupId;

    @ApiModelProperty("状态")
    private Boolean status;

}
