package com.studio.nx.oss.qiniu.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/9 14:58
 */
@Data
@Configuration
@ConfigurationProperties("nx-framework.nx-oss.qiniu")
public class QiniuYaml {

    @Value("${bucket:test}")
    private String bucket;

    @Value("${access-key:test}")
    private String accessKey;

    @Value("${secret-key:test}")
    private String secretKey;

}
