package com.studio.nx.pay.weixin.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/29 16:30
 */
@Data
@Configuration
@ConfigurationProperties("nx-framework.nx-pay.weixin")
public class WeixinPayYaml {

    @Value("${app-id:test}")
    private String appId;

    @Value("${mch-id:test}")
    private String mchId;

    @Value("${mch-serial:test}")
    private String mchSerial;

    @Value("${cert-path:test}")
    private String certPath;

    @Value("${v3-secret:test}")
    private String v3Secret;

}
