package com.studio.nx.yxl.controller.admin.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/11 17:23
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class PhotoWarehouseAuditMultiRequest {

    @ApiModelProperty("标识")
    private List<String> ids;

    @ApiModelProperty("审核状态")
    @NotNull
    @Min(-1)
    @Max(1)
    private Integer auditStatus;

    @ApiModelProperty("审核备注")
    private String auditMsg;

}
