package com.studio.nx.yxl.controller.admin.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * 功能描述：
 *
 * @Author Loki
 * @Date 2021/6/17 11:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class VerifyRequest {

    @ApiModelProperty("审核状态")
    @NotNull
    private Integer auditStatus;

    @ApiModelProperty("审核备注")
    private String auditMsg;

}
