package com.studio.nx.yxl.controller.admin.response;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.studio.nx.framework.config.json.BigDecimalSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class WithdrawalRecordCountResponse {

    @ApiModelProperty("收入金额")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal sumPaidPrice;

    @ApiModelProperty("成功提现金额")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal withdrawalAmount;

    @ApiModelProperty("未提现金额")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal undrawnAmount;

}
