package com.studio.nx.yxl.controller.admin.search;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/22 21:56
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class TopSearchKeywordsSearchRequest {

    @ApiModelProperty("关键字")
    private String name;

    @ApiModelProperty("显示/隐藏")
    private Boolean isShow;

}
