package com.studio.nx.yxl.controller.app.request.index;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/19 14:10
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class CollectionLikeRequest {

    @ApiModelProperty("对象类型（0：幼儿园、1：活动、2：资讯）")
    private Integer channel;

    @ApiModelProperty("操作类型（0：收藏、1：点赞）")
    private Integer type;

    @ApiModelProperty("对象标识")
    private String objectId;


}
