package com.studio.nx.yxl.controller.app.request.photowall;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/26 21:45
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class PhotoCollectionLikeRequest {

    @ApiModelProperty("操作类型（0：收藏、1：点赞）")
    private Integer type;

    @ApiModelProperty("对象标识")
    private String photoWarehouseId;


}
