package com.studio.nx.yxl.controller.app.request.photowall.kindergarten;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/26 14:43
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class PhotoWallKindergartenListRequest {

    @ApiModelProperty("幼儿园标识")
    private String kindergartenId;

    @ApiModelProperty("创建日期（yyyy-MM-dd）")
    private String createAt;

}
