package com.studio.nx.yxl.controller.app.response.index;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/19 15:13
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class PhotoWarehouseResponse {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("活动标识")
    private String activityId;

    @ApiModelProperty("幼儿园标识")
    private String kindergartenId;

    @ApiModelProperty("是否横图")
    private Boolean isHorizontal;

    @ApiModelProperty("列表页预览图（幼儿园logo、品牌logo）")
    private String listPreview;

    @ApiModelProperty("详情页预览图（水印、幼儿园logo、品牌logo）")
    private String detailPreview;

}
