package com.studio.nx.yxl.controller.app.response.my;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.studio.nx.framework.config.json.BigDecimalSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 功能描述：
 *
 * @Author loki
 * @Date 2021/7/1 16:56
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class MyIntegralCashRecordResponse {

    @ApiModelProperty("剩余积分")
    private Integer integral;

    @ApiModelProperty("剩余金额")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal cash;

}
