package com.studio.nx.yxl.controller.app.response.my.collection;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/22 11:00
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class KindergartenCollectionResponse {

    @ApiModelProperty("幼儿园标识")
    private String id;

    @ApiModelProperty("幼儿园名称")
    private String name;

    @ApiModelProperty("介绍")
    private String brief;

    @ApiModelProperty("办公电话")
    private String phonenumber;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("图片")
    private String cover;

}
