package com.studio.nx.yxl.controller.app.response.my.signin;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;


/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/27 12:11
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class DayInfoResponse {

    @ApiModelProperty("日期")
    private Integer day;

    @ApiModelProperty("周几")
    private String week;

    @ApiModelProperty("签到状态")
    private Boolean signInStatus = Boolean.FALSE;

    @ApiModelProperty("详细日期")
    private String timeInfo;

}
