package com.studio.nx.yxl.controller.app.response.photowall;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/22 15:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class PhotogalleryResponse {

    @ApiModelProperty("照片标识")
    private String id;

    @ApiModelProperty("是否横图")
    @TableField(value = "is_horizontal")
    private Boolean isHorizontal;

    @ApiModelProperty("列表预览图")
    private String listPreview;

}
