package com.studio.nx.yxl.controller.app.response.photowall.kindergarten;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/20 16:00
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ChoicePhotoResponse {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("幼儿园标识")
    private String kindergartenId;

    @ApiModelProperty("是否横图")
    private Boolean isHorizontal;

    @ApiModelProperty("列表页预览图")
    private String listPreview;

    @ApiModelProperty("详情页预览图")
    private String detailPreview;

}
