package com.studio.nx.yxl.controller.app.response.search;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/25 23:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class IndexSearchResponse {

    @ApiModelProperty("幼儿园集合")
    private List<IndexSearchInfoResponse> kindergartenList;

    @ApiModelProperty("资讯集合")
    private List<IndexSearchInfoResponse> tweetList;

    @ApiModelProperty("活动集合")
    private List<IndexSearchInfoResponse> activityList;

}
