package com.studio.nx.yxl.entity;

import com.studio.nx.yxl.controller.app.response.my.applys.KindergartenApplySaveResponse;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

@Mapper
public interface KindergartenInfoMapStruct {

    KindergartenInfoMapStruct INSTANCES = Mappers.getMapper(KindergartenInfoMapStruct.class);

    @Mapping(source = "kindergarten.phonenumber", target = "phonenumber")
    @Mapping(source = "kindergartenInfo.phonenumber", target = "personPhonenumber")
    @Mapping(target = "auditMsg", defaultValue = "")
    KindergartenApplySaveResponse toResponse(Kindergarten kindergarten, KindergartenInfo kindergartenInfo);

}
