package com.studio.nx.yxl.job;

import com.studio.nx.yxl.service.PhotoWarehouseProcessingService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 功能描述：处理图片
 *
 * @Author 梁展鹏
 * @Date 2021/5/28 14:07
 */
@Slf4j
@Component
public class ProcessingPhotoJob {

    @Autowired
    private PhotoWarehouseProcessingService service;

    // 每3分钟执行
//    @Scheduled(cron = "0 0/1 * * * *")
    public void start() {
        service.start();
    }

}
