package com.studio.nx.yxl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.studio.nx.yxl.controller.app.response.my.PhotoGetLikeRecordResponse;
import com.studio.nx.yxl.entity.PhotoGetLikeRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/11 17:01
 */
@Mapper
@Repository
public interface PhotoGetLikeRecordMapper extends BaseMapper<PhotoGetLikeRecord> {

    IPage<PhotoGetLikeRecordResponse> appPage(@Param("originAccountId") String originAccountId, Page page);

    void like(@Param("id") String id, @Param("accountId") String accountId, @Param("nickname") String nickname, @Param("photoWarehouseId") String photoWarehouseId, @Param("originAccountId") String originAccountId);

    Integer countMyphotoGetLike(@Param("originAccountId") String originAccountId);

}
