package com.studio.nx.yxl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.studio.nx.yxl.controller.admin.response.PhotoerAuditAdminPageResponse;
import com.studio.nx.yxl.controller.admin.search.PhotoerSearch;
import com.studio.nx.yxl.entity.PhotoerAudit;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/5/27 13:54
 */
@Mapper
@Repository
public interface PhotoerAuditMapper extends BaseMapper<PhotoerAudit> {

    IPage<PhotoerAuditAdminPageResponse> adminPage(@Param("search") PhotoerSearch search, Page page);

    Integer adminCount(@Param("search") PhotoerSearch search);

}
