package com.studio.nx.yxl.service;

import cn.hutool.core.lang.Assert;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.studio.nx.yxl.controller.admin.response.KindergartenListResponse;
import com.studio.nx.yxl.controller.admin.search.KindergartenSearch;
import com.studio.nx.yxl.mapper.KindergartenMapper;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@Slf4j
@SpringBootTest
class KindergartenServiceTest {

    @Autowired
    private KindergartenMapper mapper;

    @Autowired
    private KindergartenService service;

    @Test
    void findByInfo() {
//        KindergartenItemDto dto = service.findByInfo("1");
//        Assert.notNull(dto);
    }

    @Test
    void adminPage() {
        IPage<KindergartenListResponse> _page = mapper.adminPage(new KindergartenSearch(),new Page(0, 10));
        Assert.notNull(_page);
        Assert.isTrue(_page.getTotal() >= 0);
        Assert.isTrue(_page.getRecords().size() >= 0);
    }


}
